build:ubuntu_cpp:
  stage: build
  needs: []
  tags:
    - docker
  script:
    # Download dependencies
    # aidge_core
    - 'curl --location --output build_artifacts.zip "https://gitlab.eclipse.org/api/v4/projects/5139/jobs/artifacts/main/download?job=build:ubuntu_cpp"'
    - unzip -o build_artifacts.zip -d .
    - rm -rf build_cpp

    # Build current module
    - cd build_cpp
    - cmake -DCMAKE_INSTALL_PREFIX:PATH=$INSTALL_PATH -DCMAKE_BUILD_TYPE=Debug -DWERROR=ON ..
    - make -j4 all install

  artifacts:
    paths:
      - build_cpp/
      - install_cpp/

build:ubuntu_python:
  stage: build
  needs: []
  tags:
    - docker
  script:
    # Download dependencies
    # aidge_core
    - 'curl --location --output build_artifacts.zip "https://gitlab.eclipse.org/api/v4/projects/5139/jobs/artifacts/main/download?job=build:ubuntu_python"'
    - unzip -o build_artifacts.zip -d .

    - python3 -m pip install virtualenv
    - virtualenv venv
    - source venv/bin/activate
    - export AIDGE_INSTALL=`pwd`/install
    - python3 -m pip install .
  artifacts:
    paths:
      - venv/